## xmms2 0.7DrNo

=== wscript ===
# encoding: utf-8
#
# WAF build scripts for XMMS2
# Copyright (C) 2006-2009 XMMS2 Team
#

import sys
if sys.version_info < (2,4):
    raise RuntimeError("Python 2.4 or newer is required")

import os
import optparse

# Waf removes the current dir from the python path. We readd it to
# import waftools stuff.
sys.path.insert(0,os.getcwd())

from waftools import gittools

import Options
import Utils
import Build
import Configure
from logging import fatal, warning

BASEVERSION="0.7 DrNo"
APPNAME='xmms2'

srcdir='.'
blddir = '_build_'

####
## Initialization
####
def init():
    import gc
    gc.disable()

subdirs = """
          src/lib/xmmstypes
          src/lib/xmmssocket
          src/lib/xmmsipc
          src/lib/xmmsutils
          src/lib/xmmsvisualization
          src/clients/lib/xmmsclient
          src/clients/lib/xmmsclient-glib
          src/include
          src/includepriv
          """.split()

optional_subdirs = ["src/clients/cli",
                    "src/clients/nycli",
                    "src/clients/launcher",
                    "src/clients/et",
                    "src/clients/mdns/dns_sd",
                    "src/clients/mdns/avahi",
                    "src/clients/medialib-updater",
                    "src/clients/vistest",
                    "src/clients/lib/xmmsclient-ecore",
                    "src/clients/lib/xmmsclient++",
                    "src/clients/lib/xmmsclient++-glib",
                    "src/clients/lib/xmmsclient-cf",
                    "src/clients/lib/python",
                    "src/clients/lib/perl",
                    "src/clients/lib/ruby",
                    "tests",
                    "pixmaps"]

def is_plugin(x):
    return os.path.exists(os.path.join("src/plugins", x, "wscript"))

all_optionals = set(os.path.basename(o) for o in optional_subdirs)
all_plugins = set(p for p in os.listdir("src/plugins") if is_plugin(p))

####
## Build
####
def build(bld):
    if bld.env["BUILD_XMMS2D"]:
        subdirs.append("src/xmms")

    newest = max([os.stat(os.path.join(sd, "wscript")).st_mtime for sd in subdirs])
    if bld.env['NEWEST_WSCRIPT_SUBDIR'] and newest > bld.env['NEWEST_WSCRIPT_SUBDIR']:
        fatal("You need to run waf configure")
        raise SystemExit

    # Process subfolders
    bld.add_subdirs(subdirs)

    # Build configured plugins
    plugins = bld.env['XMMS_PLUGINS_ENABLED']
    bld.add_subdirs(["src/plugins/%s" % plugin for plugin in plugins])

    # Build the clients
    bld.add_subdirs(bld.env['XMMS_OPTIONAL_BUILD'])

    for name, lib in bld.env['XMMS_PKGCONF_FILES']:
        obj = bld.new_task_gen('subst')
        obj.source = 'xmms2.pc.in'
        obj.target = name + '.pc'
        obj.dict = {
               'NAME': name,
                'LIB': lib,
             'PREFIX': bld.env['PREFIX'],
             'BINDIR': bld.env['BINDIR'],
             'LIBDIR': bld.env['LIBDIR'],
         'INCLUDEDIR': os.path.join(bld.env.INCLUDEDIR, "xmms2"),
            'VERSION': bld.env["VERSION"],
        }
        obj.install_path = '${PKGCONFIGDIR}'

    bld.install_files('${SHAREDDIR}', 'mind.in.a.box-lament_snipplet.ogg')


####
## Configuration
####
def _configure_optionals(conf):
    """Process the optional xmms2 subprojects"""
    def _check_exist(optionals, msg):
        unknown_optionals = optionals.difference(all_optionals)
        if unknown_optionals:
            fatal(msg % {'unknown_optionals': ', '.join(unknown_optionals)})
            raise SystemExit(1)
        return optionals

    conf.env['XMMS_OPTIONAL_BUILD'] = []

    if Options.options.enable_optionals != None:
        selected_optionals = _check_exist(set(Options.options.enable_optionals),
                                           "The following optional(s) were requested, "
                                           "but don't exist: %(unknown_optionals)s")
        optionals_must_work = True
    elif Options.options.disable_optionals != None:
        disabled_optionals = _check_exist(set(Options.options.disable_optionals),
                                          "The following optional(s) were disabled, "
                                          "but don't exist: %(unknown_optionals)s")
        selected_optionals = all_optionals.difference(disabled_optionals)
        optionals_must_work = False
    else:
        selected_optionals = all_optionals
        optionals_must_work = False

    failed_optionals = set()
    succeeded_optionals = set()

    for o in selected_optionals:
        x = [x for x in optional_subdirs if os.path.basename(x) == o][0]
        try:
            conf.sub_config(x)
            conf.env.append_value('XMMS_OPTIONAL_BUILD', x)
            succeeded_optionals.add(o)
        except Configure.ConfigurationError:
            failed_optionals.add(o)

    if optionals_must_work and failed_optionals:
        fatal("The following required optional(s) failed to configure: "
              "%s" % ', '.join(failed_optionals))
        raise SystemExit(1)

    disabled_optionals = set(all_optionals)
    disabled_optionals.difference_update(succeeded_optionals)

    return succeeded_optionals, disabled_optionals

def _configure_plugins(conf):
    """Process all xmms2d plugins"""
    def _check_exist(plugins, msg):
        unknown_plugins = plugins.difference(all_plugins)
        if unknown_plugins:
            fatal(msg % {'unknown_plugins': ', '.join(unknown_plugins)})
            raise SystemExit(1)
        return plugins

    conf.env['XMMS_PLUGINS_ENABLED'] = []

    # If an explicit list was provided, only try to process that
    if Options.options.enable_plugins != None:
        selected_plugins = _check_exist(set(Options.options.enable_plugins),
                                        "The following plugin(s) were requested, "
                                        "but don't exist: %(unknown_plugins)s")
        disabled_plugins = all_plugins.difference(selected_plugins)
        plugins_must_work = True
    # If a disable list was provided, we try all plugins except for those.
    elif Options.options.disable_plugins != None:
        disabled_plugins = _check_exist(set(Options.options.disable_plugins),
                                        "The following plugins(s) were disabled, "
                                        "but don't exist: %(unknown_plugins)s")
        selected_plugins = all_plugins.difference(disabled_plugins)
        plugins_must_work = False
    # If we don't have the daemon we don't build plugins.
    elif Options.options.without_xmms2d:
        disabled_plugins = all_plugins
        selected_plugins = set()
        plugins_must_work = False
    # Else, we try all plugins.
    else:
        selected_plugins = all_plugins
        disabled_plugins = set()
        plugins_must_work = False


    for plugin in selected_plugins:
        conf.sub_config("src/plugins/%s" % plugin)
        if (not conf.env["XMMS_PLUGINS_ENABLED"] or
            (len(conf.env["XMMS_PLUGINS_ENABLED"]) > 0 and
            conf.env['XMMS_PLUGINS_ENABLED'][-1] != plugin)):
            disabled_plugins.add(plugin)

    # If something failed and we don't tolerate failure...
    if plugins_must_work:
        broken_plugins = selected_plugins.intersection(disabled_plugins)
        if broken_plugins:
            fatal("The following required plugin(s) failed to configure: "
                  "%s" % ', '.join(broken_plugins))
            raise SystemExit(1)

    return conf.env['XMMS_PLUGINS_ENABLED'], disabled_plugins

def _output_summary(enabled_plugins, disabled_plugins,
                    enabled_optionals, disabled_optionals,
                    output_plugins):
    Utils.pprint('Normal', "\nOptional configuration:\n======================")
    Utils.pprint('Normal', "Enabled: ", sep='')
    Utils.pprint('BLUE', ', '.join(sorted(enabled_optionals)))
    Utils.pprint('Normal', "Disabled: ", sep='')
    Utils.pprint('BLUE', ", ".join(sorted(disabled_optionals)))
    Utils.pprint('Normal', "\nPlugins configuration:\n======================")

    enabled_plugins = [x for x in enabled_plugins if x not in output_plugins]

    Utils.pprint('Normal', "Output:")
    Utils.pprint('BLUE', ", ".join(sorted(output_plugins)))
    Utils.pprint('Normal', "XForm/Other:")
    Utils.pprint('BLUE', ", ".join(sorted(enabled_plugins)))
    Utils.pprint('Normal', "Disabled:")
    Utils.pprint('BLUE', ", ".join(sorted(disabled_plugins)))

def configure(conf):
    if os.environ.has_key('PKG_CONFIG_PREFIX'):
        prefix = os.environ['PKG_CONFIG_PREFIX']
        if not os.path.isabs(prefix):
            prefix = os.path.abspath(prefix)
        conf.env['PKG_CONFIG_DEFINES'] = {'prefix':prefix}

    conf.env["BUILD_XMMS2D"] = False
    if not Options.options.without_xmms2d == True:
        conf.env["BUILD_XMMS2D"] = True
        subdirs.insert(0, "src/xmms")

    conf.check_tool('gnu_dirs')
    conf.check_tool('man', tooldir=os.path.abspath('waftools'))
    conf.check_tool('misc')
    conf.check_tool('gcc')
    conf.check_tool('g++')

    try:
        conf.check_tool('winres')
        conf.env['WINRCFLAGS'] = '-I' + os.path.abspath('pixmaps')
        conf.env['xmms_icon'] = True
    except Configure.ConfigurationError:
        conf.env['xmms_icon'] = False

    if Options.options.target_platform:
        Options.platform = Options.options.target_platform

    nam,changed = gittools.get_info()
    conf.check_message("git commit id", "", True, nam)
    if Options.options.customversion:
        conf.env["VERSION"] = BASEVERSION + " (%s + %s)" % (nam, Options.options.customversion)
    else:
        dirty=""
        if changed:
            dirty="-dirty"
        conf.check_message("uncommitted changes", "", bool(changed))
        conf.env["VERSION"] = BASEVERSION + " (git commit: %s%s)" % (nam, dirty)

    conf.env["CCFLAGS"] = Utils.to_list(conf.env["CCFLAGS"]) + ['-g', '-O0']
    for warning in ('all',
                    'no-format-extra-args',
                    'no-format-zero-length',
                    'format-nonliteral',
                    'format-security',
                    'format=2',
                    "missing-prototypes",
                    "strict-prototypes",
                    "empty-body",
                    "ignored-qualifiers",
                    "type-limits",
                    "write-strings",
                    ):
        warnflag = "-W%s" % warning
        if conf.check_cc(cflags=warnflag):
            conf.env["CCFLAGS"].append(warnflag)
            # autogenerate uselib definitions to disable warnings
            conf.env["CCFLAGS_NO%s" % warning.replace("-","").upper()] = ["-Wno-%s" % warning]

    conf.env["CXXFLAGS"] = Utils.to_list(conf.env["CXXFLAGS"]) + ['-g', '-O0']
    conf.env['XMMS_PKGCONF_FILES'] = []
    conf.env['XMMS_OUTPUT_PLUGINS'] = [(-1, "NONE")]

    if Options.options.pkgconfigdir:
        conf.env['PKGCONFIGDIR'] = Options.options.pkgconfigdir
        print(conf.env['PKGCONFIGDIR'])
    else:
        conf.env['PKGCONFIGDIR'] = os.path.join(conf.env["LIBDIR"], "pkgconfig")

    if Options.options.config_prefix:
        for dir in Options.options.config_prefix:
            if not os.path.isabs(dir):
                dir = os.path.abspath(dir)
            conf.env.prepend_value("LIBPATH", os.path.join(dir, "lib"))
            conf.env.prepend_value("CPPPATH", os.path.join(dir, "include"))

    # Our static libraries may link to dynamic libraries
    if Options.platform != 'win32':
        conf.env["staticlib_CCFLAGS"] += ['-fPIC', '-DPIC']
    else:
        # As we have to change target platform after the tools
        # have been loaded there are a few variables that needs
        # to be initiated if building for win32.

        # Make sure we don't have -fPIC and/or -DPIC in our CCFLAGS
        conf.env["shlib_CCFLAGS"] = []

        # Setup various prefixes
        conf.env["shlib_PATTERN"] = 'lib%s.dll'
        conf.env['program_PATTERN'] = '%s.exe'

    # Add some specific OSX things

=== debian/changelog ===
xmms2 (0.7DrNo-4ubuntu1) lucid; urgency=low

  * Merge from Debian unstable; remaining changes:
    - Use PulseAudio as default output plugin.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 24 Mar 2010 01:13:34 +0100

xmms2 (0.7DrNo-4) unstable; urgency=low

  * Add remove-path_max.patch to replace PATH_MAX by XMMS_PATH_MAX to
    fix FTBFS on hurd-i386.
  * Add xmms2-hppa.patch to disable parallel build on hppa architecture;
    thanks to Jakub Wilk for the patch (Closes: #558983).
  * libxmmsclient++-dev must depend on libboost-dev.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 24 Mar 2010 00:46:21 +0100

xmms2 (0.7DrNo-3ubuntu1) lucid; urgency=low

  * Merge from Debian unstable (LP: #532278), remaining changes:
    - Use PulseAudio as default output plugin.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 07 Mar 2010 04:11:24 +0100

xmms2 (0.7DrNo-3) unstable; urgency=low

  * Use convenience copy of waf instead of system one (Closes: #571713).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 27 Feb 2010 15:05:35 +0100

xmms2 (0.7DrNo-2) unstable; urgency=low

  * Add fix-cast-error.patch to fix implicitly conversion (Closes: #571539).

 -- Benjamin Drung <bdrung@ubuntu.com>  Fri, 26 Feb 2010 00:49:21 +0100

xmms2 (0.7DrNo-1) unstable; urgency=low

  * New upstream release.
    + Remove perl.patch and fix-upstream-bug-2307.patch.
    + Refresh remaining patches.
    + Build depend on libgme-dev for the gme plugin.
    + Rename library packages to reflect SONAME changes.
    + Drop boost dependency for libxmmsclient++-dev.
  * Use system waf to build xmms2.
  * Bump Standards-Version to 3.8.4 (no changes required).
  * Add trailing blank line to debian/NEWS.
  * Remove unused ${shlibs:Depends}.
  * Drop XS-Python-Version, debian/pycompat, and depend on
    python-support >= 0.90.
  * Add linker-flags.patch: Do not link against unused libraries (make
    dpkg-shlibdeps happy).
  * Convert debian/rules to use dh.
  * xmms2 recommends xmms2-client-nycli.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 21 Feb 2010 17:48:01 +0100

xmms2 (0.6DrMattDestruction-8ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Use PulseAudio as default output plugin.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 20 Jan 2010 22:40:33 +0100

xmms2 (0.6DrMattDestruction-8) unstable; urgency=low

  * debian/patches/fix-upstream-bug-2307.patch: Let PulseAudio take care
    of the initial volume (Closes: #565924).
  * debian/patches/vorbis-picture-support.patch: Add support for
    METADATA_BLOCK_PICTURE in Vorbis plugin (Closes: #565479).
  * Switch to debhelper v7.
  * Replace dh_clean -k by dh_prep
  * Add ${misc:Depends} to xmms2-icon package.
  * Fix spelling error in xmms2-ripper manpage.
  * Fix spelling mistake in xmms2-mdns-avahi manpage.
  * Drop topgit; use quilt directly to manage patches.
  * Use DEP-3 header for all patches.

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 20 Jan 2010 21:36:21 +0100

xmms2 (0.6DrMattDestruction-7ubuntu2) lucid; urgency=low

  * rebuild for ffmpeg versioned symbols

 -- Reinhard Tartler <siretart@tauware.de>  Tue, 19 Jan 2010 21:42:40 +0100

xmms2 (0.6DrMattDestruction-7ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Use PulseAudio as default output plugin.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 22 Dec 2009 17:02:49 +0100

xmms2 (0.6DrMattDestruction-7) unstable; urgency=low

  * Add sh4 to supported architecture list for xmms2-plugin-alsa
    (Closes: #561910).
  * Switch to 3.0 (quilt) source format.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 22 Dec 2009 16:24:17 +0100

xmms2 (0.6DrMattDestruction-6ubuntu1) lucid; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Use PulseAudio as default output plugin.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 14 Nov 2009 23:07:57 +0100

xmms2 (0.6DrMattDestruction-6) unstable; urgency=low

  * Let libxmmsclient++-dev depend on a versioned libboost-signals-dev
    package to avoid issues like bug #554496.
  * Fix weak-library-dev-dependency.
  * Build-Depends on libavcodec-dev on all architectures (Closes: #546974).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 08 Nov 2009 17:09:27 +0100

xmms2 (0.6DrMattDestruction-5ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Use PulseAudio as default output plugin.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 13 Sep 2009 22:06:41 +0200

xmms2 (0.6DrMattDestruction-5) unstable; urgency=low

  * Build depend on libreadline-dev rather than libreadline5-dev.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 13 Sep 2009 20:15:34 +0200

xmms2 (0.6DrMattDestruction-4ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, remaining changes:
    - Use PulseAudio as default output plugin.

 -- Benjamin Drung <bdrung@ubuntu.com>  Thu, 10 Sep 2009 17:25:48 +0200

xmms2 (0.6DrMattDestruction-4) unstable; urgency=low

  * Make xmms2-launcher more smart and silent. All non error output is now
    turned off unless you run xmms2-launcher with the --verbose switch;
    thanks Adam Flott for the patch (Closes: #510375).
  * Bump Standards-Version to 3.8.3 (no changes required).
  * Allow uploads done by Debian Maintainers.
  * xmms2 add respects now the common Unix convention for output verbosity;
    thanks Jan Braun for the patch (Closes: #510374).

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 26 Aug 2009 01:21:21 +0200

xmms2 (0.6DrMattDestruction-3ubuntu2) karmic; urgency=low

  * No-change rebuild to pick up new ffmpeg shlibs file.

 -- Stefan Potyra <sistpoty@ubuntu.com>  Sat, 29 Aug 2009 23:23:40 +0200

xmms2 (0.6DrMattDestruction-3ubuntu1) karmic; urgency=low

  * Merge from Debian unstable, no remaining changes.
  * Use PulseAudio as default output plugin (LP: #398481).

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 09 Aug 2009 21:18:24 +0200

xmms2 (0.6DrMattDestruction-3) unstable; urgency=high



=== debian/control ===
Source: xmms2
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Florian Ragwitz <rafl@debian.org>
Uploaders: Jens Taprogge <jlt@taprogge.org>,
           Jonne Lehtinen <jms@modeemi.fi>,
           Anders Waldenborg <anders@0x63.nu>,
           Benjamin Drung <bdrung@ubuntu.com>
Standards-Version: 3.8.4
Build-Depends: debhelper (>= 7.0.50~),
               libao-dev,
               libasound2-dev [!kfreebsd-i386 !kfreebsd-amd64],
               libavahi-client-dev,
               libavahi-glib-dev,
               libavcodec-dev,
               libboost-dev,
               libboost-signals-dev,
               libcdio-cdda-dev,
               libcurl4-openssl-dev,
               libdiscid0-dev,
               libexpat1-dev,
               libfaad-dev,
               libfftw3-dev,
               libflac-dev,
               libgamin-dev,
               libglib2.0-dev,
               libgme-dev,
               libjack-dev,
               libmad0-dev,
               libmms-dev,
               libmodplug-dev,
               libmpcdec-dev,
               libmpg123-dev (>= 1.5.1),
               libofa0-dev,
               libperl-dev,
               libpulse-dev,
               libreadline-dev,
               libresid-builder-dev,
               libsamplerate-dev,
               libsdl1.2-dev,
               libshout-dev,
               libsidplay2-dev,
               libsmbclient-dev,
               libsqlite3-dev,
               libvisual-0.4-dev,
               libvorbis-dev,
               libwavpack-dev,
               libxml2-dev,
               python-all-dev (>= 2.3.5-11),
               python-pyrex,
               python-support (>= 0.90),
               ruby,
               ruby1.8-dev
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/git/pkg-xmms2/xmms2
Vcs-Browser: http://git.debian.org/?p=pkg-xmms2/xmms2.git
Homepage: http://xmms2.xmms.se/

Package: xmms2
Architecture: all
Depends: xmms2-client-cli,
         xmms2-core,
         xmms2-icon,
         xmms2-plugin-alsa [!kfreebsd-i386 !kfreebsd-amd64],
         xmms2-plugin-id3v2,
         xmms2-plugin-mad,
         xmms2-plugin-oss [kfreebsd-i386 kfreebsd-amd64],
         xmms2-plugin-pulse,
         xmms2-plugin-vorbis,
         ${misc:Depends}
Recommends: xmms2-client-nycli
Conflicts: xmms2-plugin-nulstripper
Replaces: xmms2-plugin-nulstripper
Description: Client/server based media player system
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package is a metapackage depending on various other XMMS2 packages.
 Installing this package gets you a command line client and enables XMMS2
 playback of Ogg Vorbis and MP3 files from local and remote sources.

Package: xmms2-plugin-all
Architecture: all
Depends: xmms2-plugin-airplay,
         xmms2-plugin-alsa [!kfreebsd-i386 !kfreebsd-amd64],
         xmms2-plugin-ao,
         xmms2-plugin-apefile,
         xmms2-plugin-asf,
         xmms2-plugin-asx,
         xmms2-plugin-avcodec,
         xmms2-plugin-cdda,
         xmms2-plugin-cue,
         xmms2-plugin-curl,
         xmms2-plugin-daap,
         xmms2-plugin-faad,
         xmms2-plugin-flac,
         xmms2-plugin-flv,
         xmms2-plugin-gme,
         xmms2-plugin-gvfs,
         xmms2-plugin-html,
         xmms2-plugin-ices,
         xmms2-plugin-icymetaint,
         xmms2-plugin-id3v2,
         xmms2-plugin-jack,
         xmms2-plugin-karaoke,
         xmms2-plugin-m3u,
         xmms2-plugin-mad,
         xmms2-plugin-mms,
         xmms2-plugin-modplug,
         xmms2-plugin-mp4,
         xmms2-plugin-mpg123,
         xmms2-plugin-musepack,
         xmms2-plugin-normalize,
         xmms2-plugin-ofa,
         xmms2-plugin-oss,
         xmms2-plugin-pls,
         xmms2-plugin-pulse,
         xmms2-plugin-rss,
         xmms2-plugin-sid,
         xmms2-plugin-smb,
         xmms2-plugin-speex,
         xmms2-plugin-tta,
         xmms2-plugin-vocoder,
         xmms2-plugin-vorbis,
         xmms2-plugin-wavpack,
         xmms2-plugin-xml,
         xmms2-plugin-xspf,
         ${misc:Depends}
Description: XMMS2 - all plug-ins
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This is a metapackage depending on all available XMMS2 plug-ins to make
 installation easier.

Package: xmms2-dev
Architecture: all
Section: libdevel
Depends: pkg-config,
         ${misc:Depends}
Description: XMMS2 - plug-in development files
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains headers required for developing XMMS2 plug-ins.

Package: xmms2-core
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libxmmsclient++1,
           libxmmsclient++2,
           libxmmsclient2,
           libxmmsclient3,
           libxmmsclient4
Description: XMMS2 - core package
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package just contains the daemon that loads plug-ins and allows clients to
 connect.

Package: xmms2-et
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: XMMS2 - phone home package
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains a small program that (anonymously) reports back
 information on your computer and XMMS2 configuration to the XMMS2 developers.

Package: xmms2-icon
Architecture: all
Depends: ${misc:Depends}
Conflicts: xmms2-core (<= 0.6DrMattDestruction-1)
Replaces: xmms2-core (<= 0.6DrMattDestruction-1)
Description: XMMS2 - icon package
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package just contains the icon files.

Package: libxmmsclient6
Architecture: any
Section: libs
Conflicts: libxmmsclient2,
           libxmmsclient3,
           libxmmsclient4,
           libxmmsclient5
Replaces: libxmmsclient2,
          libxmmsclient3,
          libxmmsclient4,
          libxmmsclient5
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: xmms2-core (<< 0.6DrMattDestruction)
Description: XMMS2 - client library
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains a client library written in c.

Package: libxmmsclient-dev
Architecture: any
Section: libdevel
Depends: libxmmsclient6 (= ${binary:Version}),
         pkg-config,
         xmms2-dev,
         ${misc:Depends}
Description: XMMS2 - client library development files
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains files for developing XMMS2 clients using libxmmsclient6.

Package: libxmmsclient-glib1
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: XMMS2 - glib client library
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains a glib based client library written in c.

Package: libxmmsclient-glib-dev
Architecture: any
Section: libdevel
Depends: libglib2.0-dev,
         libxmmsclient-dev,
         libxmmsclient-glib1 (= ${binary:Version}),
         pkg-config,
         ${misc:Depends}
Description: XMMS2 - glib client library - development files
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains files for developing XMMS2 clients using
 libxmmsclient-glib1.

Package: libxmmsclient++4
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libxmmsclient++1,
           libxmmsclient++2,
           libxmmsclient++3
Replaces: libxmmsclient++1,
          libxmmsclient++2,
          libxmmsclient++3
Breaks: xmms2-core (<< 0.6DrMattDestruction)
Description: XMMS2 - client library for c++
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains a client library written in c++.

Package: libxmmsclient++-dev
Architecture: any
Section: libdevel
Depends: libboost-dev,
         libxmmsclient++4 (= ${binary:Version}),
         libxmmsclient-dev,
         pkg-config,
         ${misc:Depends}
Description: XMMS2 - client library for c++ - development files
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains files for developing XMMS2 clients using
 libxmmsclient++4.

Package: libxmmsclient++-glib1
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: XMMS2 - glib client library for c++
 XMMS2 is a redesign of the XMMS music player. It features a client-server
 model, allowing multiple (even simultaneous!) user interfaces, both textual
 and graphical. All common audio formats are supported using plug-ins. On top of
 this, there is a flexible media library to organize your music.
 .
 This package contains a glib based client library written in c++.

Package: libxmmsclient++-glib-dev
Architecture: any
Section: libdevel
Depends: libxmmsclient++-dev,
         libxmmsclient++-glib1 (= ${binary:Version}),
         libxmmsclient-glib-dev,
         pkg-config,
         ${misc:Depends}
Description: XMMS2 - glib client library for c++ - development files
 XMMS2 is a redesign of the XMMS music player. It features a client-server

=== debian/rules ===
#!/usr/bin/make -f

export NOCOLOR=1
PYVERSIONS := $(shell pyversions -s)
WAFFLAGS := --nocache --prefix=/usr

%:
	dh $@

override_dh_auto_clean:
	rm -rf _build_default_ $(PYVERSIONS:%=_build_%_)
	./waf distclean
	# Clean up after waf
	find wafadmin waftools -name '*.pyc' -delete
	rm -f waf-lightc

override_dh_auto_configure:
	./waf configure $(WAFFLAGS) \
		--with-perl-archdir=$(shell /usr/bin/perl -MConfig -le'print $$Config{vendorarch}') \
		--with-perl-binary=/usr/bin/perl \
		--with-ruby-archdir=$(shell ruby1.8 -rrbconfig -e'print Config::CONFIG["archdir"]') \
		--with-ruby-libdir=$(shell ruby1.8 -rrbconfig -e'print Config::CONFIG["rubylibdir"]') \
		--without-optionals=python \
		--with-default-output-plugin=pulse
	mv _build_ _build_default_
	for pyversion in $(PYVERSIONS); do \
		PYTHON=$${pyversion} ./waf configure $(WAFFLAGS) --without-xmms2d --with-optionals=python && \
		mv _build_ _build_$${pyversion}_; \
	done

override_dh_auto_build:
	for pyversion in default $(PYVERSIONS); do \
		mv _build_$${pyversion}_ _build_ && \
		./waf -v && \
		mv _build_ _build_$${pyversion}_; \
	done

override_dh_auto_install:
	for pyversion in default $(PYVERSIONS); do \
		mv _build_$${pyversion}_ _build_ && \
		./waf install --destdir=$(CURDIR)/debian/tmp --without-ldconfig && \
		mv _build_ _build_$${pyversion}_; \
	done

=== debian/watch ===
version=3
http://sf.net/xmms2/xmms2-(.*)\.tar\.bz2
